Skip to content

CollateralType⁠

Perform various operations for Symitar parameters.

Operations⁠

getCollateralTypeSelectFields⁠

POST

Execute the persistent ParameterService getCollateralTypeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralTypeCollateralTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getCollateralTypeSelectFields
POST /nexum/627/persistent/parameter/getCollateralTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "CollateralTypeCollateralType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllCollateralTypeFields": true,
    "CollateralTypeFields": {
      "CollateralStatus": true,
      "CollateralType": true,
      "Description": true,
      "RequiredDocTypes": true,
      "UserChar": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralTypePagedListSelectFields⁠

POST

Execute the persistent ParameterService getCollateralTypePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getCollateralTypePagedListSelectFields
POST /nexum/627/persistent/parameter/getCollateralTypePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralTypeFields": true,
    "CollateralTypeFields": {
      "CollateralStatus": true,
      "CollateralType": true,
      "Description": true,
      "RequiredDocTypes": true,
      "UserChar": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollateralTypePagedSelectFields⁠

POST

Execute the persistent ParameterService searchCollateralTypePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchCollateralTypePagedSelectFields
POST /nexum/627/persistent/parameter/searchCollateralTypePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralTypeFields": true,
    "CollateralTypeFields": {
      "CollateralStatus": true,
      "CollateralType": true,
      "Description": true,
      "RequiredDocTypes": true,
      "UserChar": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateCollateralTypeByID⁠

POST

Execute the persistent ParameterService updateCollateralTypeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralTypeCollateralTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateCollateralTypeByID
POST /nexum/627/persistent/parameter/updateCollateralTypeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "CollateralTypeCollateralType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "CollateralTypeFields": {
    "CollateralStatus": 0,
    "CollateralType": 0,
    "Description": "string",
    "RequiredDocTypes": {
      "Bit": [
        0
      ]
    },
    "UserChar": [
      {
        "EntryId": 0,
        "UserChar": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}